Subject: bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: martin rudalics <[email-masked]>
Date: Tue, 6 Jul 2021 18:29:20 +0200

> But there is a more serious problem: the implementation of
 > 'drag-with-tab-line' now closes the tab even after just
 > clicking on it to select (not on the close button).
 > I can reproduce this only when one of tabs on the tab-line
 > contains an *info* buffer (maybe because it has the header-line?)
 >
 > The problem doesn't exist after evaluating:
 >    (global-unset-key [tab-line down-mouse-1])
 > I haven't debugged it yet.

I think the culprit is this binding

     (define-key map [tab-line mouse-2] 'tab-line-close-tab)

in `tab-line-tab-map' likely together with some queer mouse-1/mouse-2
mapping.  I'd suggest to don't do that, if possible.  Otherwise, we have
to dig further.

martin